<div class="container-fluid page-content">
  <div class="row">
    <div class="col-sm-12 col-lg-10 film-container" *ngIf="film$|async as film">
      <div class="row">
        <div class="col-12 title">
          <h2>{{film.title}}</h2>
        </div>
      </div>
      <div class="row">
        <div class="col-12 description">
          <p>{{film.opening_crawl}}</p>
        </div>
      </div>
      <div class="row">
        <div class="col-12 created">
          <h4>Created: {{film.created | date: 'dd.MM.yyyy H:mm'}}</h4>
        </div>
      </div>
      <div class="row">
        <div class="col-12 table-title">
          <h3>Starships</h3>
        </div>
        <div class="col-12 table-container">
          <table #starshipsSort="matSort" mat-table [dataSource]="starshipsDataSource" matSort>
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>
                Name
              </th>
              <td mat-cell *matCellDef="let starship">
                {{starship.name}}
              </td>
            </ng-container>
            <ng-container matColumnDef="starship_class">
              <th mat-header-cell *matHeaderCellDef>
                Starship_class
              </th>
              <td mat-cell *matCellDef="let starship">
                {{starship.starship_class}}
              </td>
            </ng-container>
            <ng-container matColumnDef="passengers">
              <th mat-header-cell *matHeaderCellDef>
                Passengers
              </th>
              <td mat-cell *matCellDef="let starship">
                {{starship.passengers}}
              </td>
            </ng-container>
            <ng-container matColumnDef="length">
              <th mat-header-cell *matHeaderCellDef>
                Length
              </th>
              <td mat-cell *matCellDef="let starship">
                {{starship.length}}
              </td>
            </ng-container>
            <ng-container matColumnDef="created">
              <th mat-header-cell *matHeaderCellDef>
                Created
              </th>
              <td mat-cell *matCellDef="let starship">
                {{starship.created | date: 'dd.MM.yyyy  H:mm'}}
              </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="starshipsDisplayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: starshipsDisplayedColumns" (click)="openStarshipDialog(row)"></tr>
          </table>
        </div>
      </div>
      <div class="row">
        <div class="col-12 table-title">
          <h3>Characters</h3>

        </div>
        <div class="col-12 table-container">
          <table mat-table [dataSource]="characterDataSource" matSort #characterSort="matSort">
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>
                Name
              </th>
              <td mat-cell *matCellDef="let character">
                {{character.name}}
              </td>
            </ng-container>
            <ng-container matColumnDef="gender">
              <th mat-header-cell *matHeaderCellDef>
                Gender
              </th>
              <td mat-cell *matCellDef="let character">
                {{character.gender}}
              </td>
            </ng-container>
            <ng-container matColumnDef="height">
              <th mat-header-cell *matHeaderCellDef>
                Height
              </th>
              <td mat-cell *matCellDef="let character">
                {{character.height}}
              </td>
            </ng-container>
            <ng-container matColumnDef="mass">
              <th mat-header-cell *matHeaderCellDef>
                Mass
              </th>
              <td mat-cell *matCellDef="let character">
                {{character.mass}}
              </td>
            </ng-container>
            <ng-container matColumnDef="created">
              <th mat-header-cell *matHeaderCellDef>
                Created
              </th>
              <td mat-cell *matCellDef="let character">
                {{character.created | date: 'dd.MM.yyyy  H:mm'}}
              </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="charactersDisplayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: charactersDisplayedColumns" (click)="openCharacterDialog(row)"></tr>
          </table>
        </div>
      </div>
      <div class="row">
        <div class="col-12 table-title">
          <h3>Planets</h3>

        </div>
        <div class="col-12 table-container">
          <table mat-table [dataSource]="planetsDataSource" matSort #planetSort ="matSort">
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef mat-sort-header>
                Name
              </th>
              <td mat-cell *matCellDef="let planet">
                {{planet.name}}
              </td>
            </ng-container>
            <ng-container matColumnDef="climate">
              <th mat-header-cell *matHeaderCellDef>
                Climate
              </th>
              <td mat-cell *matCellDef="let planet">
                {{planet.climate}}
              </td>
            </ng-container>
            <ng-container matColumnDef="gravity">
              <th mat-header-cell *matHeaderCellDef>
                Gravity
              </th>
              <td mat-cell *matCellDef="let planet">
                {{planet.gravity}}
              </td>
            </ng-container>
            <ng-container matColumnDef="population">
              <th mat-header-cell *matHeaderCellDef>
                Population
              </th>
              <td mat-cell *matCellDef="let planet">
                {{planet.pupulation}}
              </td>
            </ng-container>
            <ng-container matColumnDef="created">
              <th mat-header-cell *matHeaderCellDef>
                Created
              </th>
              <td mat-cell *matCellDef="let planet">
                {{planet.created | date: 'dd.MM.yyyy  H:mm'}}
              </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="planetsDisplayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: planetsDisplayedColumns" (click)=openPlanetDialog(row)></tr>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
